<?php
if ( isset ( $_POST['action'] ) AND ( 'aktivieren' == $_POST['action'] ) )
	{
			$sql = 'UPDATE objekte SET
				Aktiv		= "1",
				Deaktiv		= "0"
			WHERE ID = "'.$_POST['ID'].'";';
			$stmt = $db->prepare($sql);
			if (!$stmt) {
				die ('Datensatz konnte nicht gespeichert werden: '.$db->error);
			}
			if (!$stmt->execute()) {
				die ('Datensatz konnte nicht gespeichert werden: '.$stmt->error);
			}
			echo "<p>Datensatz wurde gespeichert!</p>\n";
	}
elseif ( isset ( $_POST['action'] ) AND ( 'deaktivieren' == $_POST['action'] ) )
	{
			$sql = 'UPDATE objekte SET
				Aktiv		= "0",
				Deaktiv		= "1"
			WHERE ID = "'.$_POST['ID'].'";';
			$stmt = $db->prepare($sql);
			if (!$stmt) {
				die ('Datensatz konnte nicht gespeichert werden: '.$db->error);
			}
			if (!$stmt->execute()) {
				die ('Datensatz konnte nicht gespeichert werden: '.$stmt->error);
			}
			echo "<p>Datensatz wurde gespeichert!</p>\n";
	}

if ( isset ( $_POST['ImmoScout'] ) )
	{
		include "inhalte/portale/immos.php";
	}
if ( isset ( $_POST['ImmoWelt'] ) )
	{
		include "inhalte/portale/immow.php";
	}
if ( isset ( $_POST['ImmoNet'] ) )
	{
		include "inhalte/portale/immon.php";
	}
if ( !isset ( $_POST['fromDel'] ) )
	{
		$sql	= "SELECT * FROM objekte WHERE ID = '" . $_POST['ID'] . "' LIMIT 1;";
		$result	= $db->query ( $sql );
		$nt		= $result->fetch_assoc();

		?>
		<form action="index.php?<?php echo $_SERVER['QUERY_STRING']; ?>" method="post">
			<fieldset>
				<input type="hidden" name="formaction" value="De- / Aktivieren" />
				<input type="hidden" name="ID" value="<?php echo $_POST['ID']; ?>" />
				<legend><i><?php echo $nt['ID'] . ' ' . $nt['Kurz']; ?></i> aktivieren / übertragen</legend>
				<label><?php echo ( !$nt['Aktiv'] ) ? "Objekt aktivieren" : "Objekt deaktivieren" ; ?></label>
				<input type="submit" name="action" value="<?php echo ( !$nt['Aktiv'] ) ? "aktivieren" : "deaktivieren" ; ?>" />
				<br />
				<label>ImmoWelt</label>
				<input type="submit" name="ImmoWelt" value="<?php echo ( !$nt['Welt'] ) ? "importieren" : "aktualisieren" ; ?>" />
				<?php
					if ( $nt['Welt'] )
						{
							echo '<input type="submit" name="ImmoWelt" value="loeschen" />';
						}
					/*
				?>
				<br />
				<label>ImmoNet</label>
				<input type="submit" name="ImmoNet" value="<?php echo ( !$nt['Net'] ) ? "importieren" : "aktualisieren" ; ?>" />
				<?php
					if ( $nt['Net'] )
						{
							echo '<input type="submit" name="ImmoNet" value="loeschen" />';
						}
					*/
				?>
				<br />
			</fieldset>
		</form>
		<div id="blende" style="position:relative;display:none;visibility:hidden;width:757px;height:400px;top:-160px;background-color:white;border:1px solid gray;"><h1>Bitte warten, Dateien werden übertragen!</h1></div>
<?php
		if ( isset ( $_POST['ImmoScout'] ) OR isset ( $_POST['ImmoWelt'] ) OR isset ( $_POST['ImmoNet'] ) )
			{
?>
		<script>
			show_blende();
		</script>
<?php			
			}
	}
else
	{
		echo "<h1>Objekt wurde gelöscht</h1>\n";
	}
